import acquire


class LcBeamPWeightedOptimCore(acquire.LcBeamPWeightedCoreset):

    NAME = "lc-beam-pweighted-optimcore"

    def select_candidate_scores(self, max_min_deltas, score_unlabelled, select):
        return max_min_deltas.view(-1)